Get an adviser split Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/adviser-split/{adviserSplit_uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • adviserSplit_uuid string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • name string

      The name of the adviser split

    • firm_percentage integer

      The percentage held by the firm on a charge

    • adviser_percentage integer

      The percentage held by the selling adviser on a charge

    • type string

      Whether this adviser split is for an adviser or a plan charge

GET /api/v1/adviser-split/{adviserSplit_uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/adviser-split/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "uuid": "1153ceb7-a6c7-4be7-8776-53b960a0f1f5",
  "created_at": "2026-06-08T16:08:03+01:00",
  "updated_at": "2026-06-08T16:08:03+01:00",
  "name": "Trainee Rate",
  "firm_percentage": 30,
  "adviser_percentage": 30,
  "type": "adviser"
}